import 'package:flutter/material.dart';
import 'package:font_awesome_flutter/font_awesome_flutter.dart';
import 'package:gap/gap.dart';
import 'package:google_fonts/google_fonts.dart';

class SloganWidget extends StatelessWidget {
  const SloganWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        _buildSloganItem("Easy to Use", 48),
        const Gap(8),
        _buildSloganItem("Access to Medicines", 80),
        const Gap(8),
        _buildSloganItem("Instant Home Delivery", 112),
      ],
    );
  }

  Widget _buildSloganItem(String text, double gap) {
    return Row(
      children: [
        Gap(gap),
        FaIcon(
          size: 24,
          FontAwesomeIcons.circleCheck,
          color: const Color.fromRGBO(112, 239, 70, 0.6),
        ),
        const Gap(16), // Add some space between the icon and the text
        Text(
          text,
          style: GoogleFonts.outfit(
              color: const Color.fromRGBO(112, 239, 70, 0.6), fontSize: 16, fontWeight: FontWeight.w500),
        ),
      ],
    );
  }
}
